Zoey REST API reference ยท Interactive version: apidocs.zoey.com
GET https://container-url.zoeysite.com/api/rest/sales/orders/status/:id
GET https://container-url.zoeysite.com/api/rest/sales/orders/status?filter[state]=new&limit=10&page=1&order[status]=ASC
Query parameters:
| Name | Example | Notes |
|---|---|---|
filter[state] | new | Used to filter properties. (Optional) |
limit | 10 | Limit the amount of results returned. (Optional) |
page | 1 | Paginate the limit. (Optional) |
order[status] | ASC | Used to sort by property key / direction. (Optional) |
PUT https://container-url.zoeysite.com/api/rest/sales/orders/status/api_test
Properties to Update.
Example request body:
{
"label": "API Test",
"store_labels": {
"1": "API Test Store 1"
},
"settings": []
}
POST https://container-url.zoeysite.com/api/rest/sales/orders/status
Example request body:
{
"status": "api_test",
"label": "API Test",
"is_user_defined": true,
"visible_in_admin": true,
"store_labels": {
"1": "API Test Store 1"
},
"state": "new",
"is_default": false
}